<!doctype html>

<html lang="en">
<head>
  <meta charset="utf-8">
  <title>rbui log analysis report</title>
  <meta name="description" content="rbui log analysis report">
  <style type="text/css">
    html, body {
      background-color: black;
    }
    th {
      text-align: center;
      color: silver;
      font-style: bold;
      padding: 5px;
      cursor: pointer;
    }
    table {
      width: auto;
      border-collapse: collapse;
      margin: 1%;
      color: silver;
    }
    td {
      text-align: right;
      font-size: 1.1em;
      padding: 5px;
    }
    .report-table-body-cell-url {
      text-align: left;
      width: 20%;
    }
    .clipped {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow:hidden !important;
      max-width: 700px;
      word-wrap: break-word;
      display:inline-block;
    }
    .url {
      cursor: pointer;
      color: #729FCF;
    }
    .alert {
      color: red;
    }
  </style>
</head>

<body>
  <table border="1" class="report-table">
  <thead>
    <tr class="report-table-header-row">
    </tr>
  </thead>
  <tbody class="report-table-body">
  </tbody>

  <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <script type="text/javascript" src="../static/js/jquery.tablesorter.min.js"></script>
  <script type="text/javascript">
  !function($) {
    var table = [{'url': '/api/v2/internal/html5/phantomjs/queue/?wait=1m', 'count': 2767, 'time_sum': 174306.352, 'time_avg': 62.995, 'time_max': 9843.569, 'time_med': 60.073, 'count_perc': 1.08, 'time_perc': 9.101}, {'url': '/api/v2/internal/gpmd_plan_report/queue/?wait=1m&worker=5', 'count': 1410, 'time_sum': 94618.864, 'time_avg': 67.106, 'time_max': 9853.373, 'time_med': 60.124, 'count_perc': 0.551, 'time_perc': 4.941}, {'url': '/api/v2/internal/gpmd_plan_report/queue/?wait=1m&worker=2', 'count': 1409, 'time_sum': 94537.857, 'time_avg': 67.096, 'time_max': 9826.572, 'time_med': 60.125, 'count_perc': 0.55, 'time_perc': 4.936}, {'url': '/api/v2/internal/gpmd_plan_report/queue/?wait=1m&worker=3', 'count': 1393, 'time_sum': 93594.358, 'time_avg': 67.189, 'time_max': 9853.242, 'time_med': 60.125, 'count_perc': 0.544, 'time_perc': 4.887}, {'url': '/api/v2/internal/gpmd_plan_report/queue/?wait=1m&worker=4', 'count': 1392, 'time_sum': 93448.983, 'time_avg': 67.133, 'time_max': 9826.209, 'time_med': 60.124, 'count_perc': 0.544, 'time_perc': 4.879}, {'url': '/api/v2/internal/gpmd_plan_report/queue/?wait=1m&worker=1', 'count': 1414, 'time_sum': 85075.406, 'time_avg': 60.166, 'time_max': 71.291, 'time_med': 60.123, 'count_perc': 0.552, 'time_perc': 4.442}, {'url': '/export/ivi/200010-impression.csv', 'count': 1320, 'time_sum': 21951.65, 'time_avg': 16.63, 'time_max': 24.053, 'time_med': 16.483, 'count_perc': 0.515, 'time_perc': 1.146}, {'url': '/api/v2/group/7123018/banners', 'count': 784, 'time_sum': 10247.771, 'time_avg': 13.071, 'time_max': 9811.46, 'time_med': 0.537, 'count_perc': 0.306, 'time_perc': 0.535}, {'url': '/api/v2/banner/26647998', 'count': 252, 'time_sum': 10097.195, 'time_avg': 40.068, 'time_max': 9811.884, 'time_med': 1.107, 'count_perc': 0.098, 'time_perc': 0.527}, {'url': '/api/v2/banner/26619125', 'count': 252, 'time_sum': 10093.061, 'time_avg': 40.052, 'time_max': 9811.885, 'time_med': 1.09, 'count_perc': 0.098, 'time_perc': 0.527}, {'url': '/api/v2/banner/26618742', 'count': 252, 'time_sum': 10089.699, 'time_avg': 40.038, 'time_max': 9811.885, 'time_med': 1.05, 'count_perc': 0.098, 'time_perc': 0.527}, {'url': '/api/v2/banner/26598670', 'count': 252, 'time_sum': 10073.002, 'time_avg': 39.972, 'time_max': 9811.885, 'time_med': 0.975, 'count_perc': 0.098, 'time_perc': 0.526}, {'url': '/campaigns/7854376/banners/?', 'count': 699, 'time_sum': 10068.972, 'time_avg': 14.405, 'time_max': 119.987, 'time_med': 13.488, 'count_perc': 0.273, 'time_perc': 0.526}, {'url': '/api/v2/banner/24389816', 'count': 252, 'time_sum': 10059.692, 'time_avg': 39.919, 'time_max': 9811.886, 'time_med': 0.887, 'count_perc': 0.098, 'time_perc': 0.525}, {'url': '/api/v2/banner/24359968', 'count': 252, 'time_sum': 10058.138, 'time_avg': 39.913, 'time_max': 9811.887, 'time_med': 0.954, 'count_perc': 0.098, 'time_perc': 0.525}, {'url': '/api/v2/banner/26594175', 'count': 252, 'time_sum': 10057.724, 'time_avg': 39.912, 'time_max': 9811.886, 'time_med': 0.919, 'count_perc': 0.098, 'time_perc': 0.525}, {'url': '/api/v2/banner/26588410', 'count': 252, 'time_sum': 10047.677, 'time_avg': 39.872, 'time_max': 9811.886, 'time_med': 0.833, 'count_perc': 0.098, 'time_perc': 0.525}, {'url': '/api/v2/banner/26585041', 'count': 252, 'time_sum': 10045.223, 'time_avg': 39.862, 'time_max': 9811.886, 'time_med': 0.908, 'count_perc': 0.098, 'time_perc': 0.525}, {'url': '/api/v2/banner/24337272', 'count': 252, 'time_sum': 10044.812, 'time_avg': 39.86, 'time_max': 9811.887, 'time_med': 0.831, 'count_perc': 0.098, 'time_perc': 0.524}, {'url': '/campaigns/7854473/banners/?', 'count': 699, 'time_sum': 8008.609, 'time_avg': 11.457, 'time_max': 25.643, 'time_med': 11.243, 'count_perc': 0.273, 'time_perc': 0.418}, {'url': '/api/v2/internal/slots', 'count': 236, 'time_sum': 5341.743, 'time_avg': 22.635, 'time_max': 36.195, 'time_med': 23.655, 'count_perc': 0.092, 'time_perc': 0.279}, {'url': '/campaigns/', 'count': 1294, 'time_sum': 5256.369, 'time_avg': 4.062, 'time_max': 685.529, 'time_med': 1.482, 'count_perc': 0.505, 'time_perc': 0.274}, {'url': '/api/v2/slot/2406/groups', 'count': 47, 'time_sum': 4834.106, 'time_avg': 102.853, 'time_max': 128.52, 'time_med': 102.41, 'count_perc': 0.018, 'time_perc': 0.252}, {'url': '/campaigns/7876636/banners/?', 'count': 699, 'time_sum': 4696.93, 'time_avg': 6.719, 'time_max': 119.979, 'time_med': 6.191, 'count_perc': 0.273, 'time_perc': 0.245}, {'url': '/api/1/photogenic_banners/post/', 'count': 19764, 'time_sum': 4689.335, 'time_avg': 0.237, 'time_max': 24.869, 'time_med': 0.135, 'count_perc': 7.717, 'time_perc': 0.245}, {'url': '/campaigns/7854362/banners/?', 'count': 700, 'time_sum': 4476.217, 'time_avg': 6.395, 'time_max': 26.287, 'time_med': 6.188, 'count_perc': 0.273, 'time_perc': 0.234}, {'url': '/campaigns/7876633/banners/?', 'count': 699, 'time_sum': 4088.215, 'time_avg': 5.849, 'time_max': 119.976, 'time_med': 5.343, 'count_perc': 0.273, 'time_perc': 0.213}, {'url': '/campaigns/7854359/banners/?', 'count': 700, 'time_sum': 3920.087, 'time_avg': 5.6, 'time_max': 22.854, 'time_med': 5.446, 'count_perc': 0.273, 'time_perc': 0.205}, {'url': '/api/1/banners/?campaign=1392872', 'count': 56, 'time_sum': 3786.887, 'time_avg': 67.623, 'time_max': 81.628, 'time_med': 67.381, 'count_perc': 0.022, 'time_perc': 0.198}, {'url': '/api/1/banners/?campaign=1200302', 'count': 56, 'time_sum': 3777.55, 'time_avg': 67.456, 'time_max': 82.477, 'time_med': 66.743, 'count_perc': 0.022, 'time_perc': 0.197}, {'url': '/campaigns/statistic/?date1=01-06-2017&date2=30-06-2017&date_type=day&do=1', 'count': 576, 'time_sum': 3592.436, 'time_avg': 6.237, 'time_max': 17.822, 'time_med': 5.237, 'count_perc': 0.225, 'time_perc': 0.188}, {'url': '/campaigns/7854408/banners/?', 'count': 699, 'time_sum': 3305.016, 'time_avg': 4.728, 'time_max': 119.966, 'time_med': 4.422, 'count_perc': 0.273, 'time_perc': 0.173}, {'url': '/campaigns/7854389/banners/?', 'count': 699, 'time_sum': 3168.186, 'time_avg': 4.532, 'time_max': 119.964, 'time_med': 4.124, 'count_perc': 0.273, 'time_perc': 0.165}, {'url': '/api/v2/slot/2902/groups', 'count': 189, 'time_sum': 3074.743, 'time_avg': 16.268, 'time_max': 23.775, 'time_med': 16.238, 'count_perc': 0.074, 'time_perc': 0.161}, {'url': '/campaigns/7854366/banners/?', 'count': 699, 'time_sum': 2790.323, 'time_avg': 3.992, 'time_max': 9.113, 'time_med': 3.858, 'count_perc': 0.273, 'time_perc': 0.146}, {'url': '/slots/3938/', 'count': 444, 'time_sum': 2707.482, 'time_avg': 6.098, 'time_max': 99.429, 'time_med': 5.803, 'count_perc': 0.173, 'time_perc': 0.141}, {'url': '/campaigns/7806980/banners/', 'count': 1374, 'time_sum': 2638.779, 'time_avg': 1.921, 'time_max': 1004.924, 'time_med': 0.883, 'count_perc': 0.537, 'time_perc': 0.138}, {'url': '/campaigns/7854372/banners/?', 'count': 699, 'time_sum': 2584.754, 'time_avg': 3.698, 'time_max': 7.036, 'time_med': 3.592, 'count_perc': 0.273, 'time_perc': 0.135}, {'url': '/upload_file/ajax/', 'count': 4387, 'time_sum': 2514.586, 'time_avg': 0.573, 'time_max': 37.06, 'time_med': 0.095, 'count_perc': 1.713, 'time_perc': 0.131}, {'url': '/campaigns/7704673/banners/', 'count': 1398, 'time_sum': 2474.104, 'time_avg': 1.77, 'time_max': 999.116, 'time_med': 0.781, 'count_perc': 0.546, 'time_perc': 0.129}, {'url': '/campaigns/7876648/banners/?', 'count': 699, 'time_sum': 2306.588, 'time_avg': 3.3, 'time_max': 119.987, 'time_med': 2.452, 'count_perc': 0.273, 'time_perc': 0.12}, {'url': '/api/1/banners/?campaign=3098083', 'count': 162, 'time_sum': 2103.609, 'time_avg': 12.985, 'time_max': 23.392, 'time_med': 12.524, 'count_perc': 0.063, 'time_perc': 0.11}, {'url': '/api/1/photogenic_banners/list/?server_name=WIN7RB2', 'count': 7427, 'time_sum': 2084.511, 'time_avg': 0.281, 'time_max': 92.944, 'time_med': 0.133, 'count_perc': 2.9, 'time_perc': 0.109}, {'url': '/api/1/banners/?campaign=2320799', 'count': 162, 'time_sum': 2027.759, 'time_avg': 12.517, 'time_max': 22.252, 'time_med': 11.971, 'count_perc': 0.063, 'time_perc': 0.106}, {'url': '/api/1/photogenic_banners/list/?server_name=WIN7RB3', 'count': 6134, 'time_sum': 1988.686, 'time_avg': 0.324, 'time_max': 189.552, 'time_med': 0.132, 'count_perc': 2.395, 'time_perc': 0.104}, {'url': '/campaigns/statistic/?date1=01-06-2017&date2=30-06-2017&date_type=day&do=1&c=7854433&c=7894082&c=7854372&c=7854358&c=7876648&c=7859612&c=7854380&c=7854359&c=7854476&c=7854362&c=7859598&c=7854352&c=7854376&c=7894070&c=7854473&c=7854456&c=7876633&c=7854458&c=7876636&c=7854365&c=7854366', 'count': 564, 'time_sum': 1988.016, 'time_avg': 3.525, 'time_max': 8.575, 'time_med': 2.343, 'count_perc': 0.22, 'time_perc': 0.104}, {'url': '/api/1/photogenic_banners/list/?server_name=WIN7RB4', 'count': 5889, 'time_sum': 1938.943, 'time_avg': 0.329, 'time_max': 110.481, 'time_med': 0.132, 'count_perc': 2.299, 'time_perc': 0.101}, {'url': '/campaigns/7894082/banners/?', 'count': 699, 'time_sum': 1931.191, 'time_avg': 2.763, 'time_max': 119.978, 'time_med': 2.183, 'count_perc': 0.273, 'time_perc': 0.101}, {'url': '/campaigns/7854473/banners/?filter=started&direct=desc&order=ctr_cnt_tzday', 'count': 1208, 'time_sum': 1928.779, 'time_avg': 1.597, 'time_max': 854.832, 'time_med': 0.798, 'count_perc': 0.472, 'time_perc': 0.101}, {'url': '/api/1/photogenic_banners/list/?server_name=WIN7RB5', 'count': 5422, 'time_sum': 1927.815, 'time_avg': 0.356, 'time_max': 208.48, 'time_med': 0.132, 'count_perc': 2.117, 'time_perc': 0.101}, {'url': '/campaigns/7854352/banners/?filter=started&direct=desc&order=ctr_cnt_tzday', 'count': 1127, 'time_sum': 1899.792, 'time_avg': 1.686, 'time_max': 859.076, 'time_med': 0.771, 'count_perc': 0.44, 'time_perc': 0.099}, {'url': '/campaigns/7854352/banners/?', 'count': 699, 'time_sum': 1802.669, 'time_avg': 2.579, 'time_max': 36.953, 'time_med': 2.372, 'count_perc': 0.273, 'time_perc': 0.094}, {'url': '/agency/campaigns/6465912/banners/bulk_read/', 'count': 28, 'time_sum': 1744.259, 'time_avg': 62.295, 'time_max': 74.77, 'time_med': 61.658, 'count_perc': 0.011, 'time_perc': 0.091}, {'url': '/api/1/photogenic_banners/list/?server_name=WIN7RB1', 'count': 4844, 'time_sum': 1738.159, 'time_avg': 0.359, 'time_max': 194.814, 'time_med': 0.132, 'count_perc': 1.891, 'time_perc': 0.091}, {'url': '/api/1/banners/?campaign=3098094', 'count': 162, 'time_sum': 1736.358, 'time_avg': 10.718, 'time_max': 26.641, 'time_med': 10.364, 'count_perc': 0.063, 'time_perc': 0.091}, {'url': '/campaigns/7854358/banners/?', 'count': 700, 'time_sum': 1727.015, 'time_avg': 2.467, 'time_max': 12.327, 'time_med': 2.343, 'count_perc': 0.273, 'time_perc': 0.09}, {'url': '/accounts/login/', 'count': 6899, 'time_sum': 1672.363, 'time_avg': 0.242, 'time_max': 119.954, 'time_med': 0.181, 'count_perc': 2.694, 'time_perc': 0.087}, {'url': '/campaigns/7894070/banners/?', 'count': 699, 'time_sum': 1656.349, 'time_avg': 2.37, 'time_max': 119.975, 'time_med': 2.128, 'count_perc': 0.273, 'time_perc': 0.086}, {'url': '/export/appinstall_raw/2017-06-29/', 'count': 158441, 'time_sum': 1615.594, 'time_avg': 0.01, 'time_max': 24.3, 'time_med': 0.009, 'count_perc': 61.867, 'time_perc': 0.084}, {'url': '/api/v2/slot/4499/groups', 'count': 189, 'time_sum': 1610.416, 'time_avg': 8.521, 'time_max': 14.695, 'time_med': 8.118, 'count_perc': 0.074, 'time_perc': 0.084}, {'url': '/api/1/flash_banners/list/?server_name=AndreySergeevich', 'count': 2726, 'time_sum': 1603.197, 'time_avg': 0.588, 'time_max': 185.467, 'time_med': 0.222, 'count_perc': 1.064, 'time_perc': 0.084}, {'url': '/api/1/flash_banners/list/?server_name=AndreySemenovich', 'count': 2738, 'time_sum': 1589.202, 'time_avg': 0.58, 'time_max': 167.33, 'time_med': 0.133, 'count_perc': 1.069, 'time_perc': 0.083}, {'url': '/campaigns/7854365/banners/?', 'count': 699, 'time_sum': 1586.433, 'time_avg': 2.27, 'time_max': 8.933, 'time_med': 2.178, 'count_perc': 0.273, 'time_perc': 0.083}, {'url': '/campaigns/7854458/banners/?', 'count': 699, 'time_sum': 1569.018, 'time_avg': 2.245, 'time_max': 9.828, 'time_med': 2.116, 'count_perc': 0.273, 'time_perc': 0.082}, {'url': '/api/1/flash_banners/list/?server_name=AndreyIlich', 'count': 2736, 'time_sum': 1539.031, 'time_avg': 0.563, 'time_max': 157.167, 'time_med': 0.133, 'count_perc': 1.068, 'time_perc': 0.08}, {'url': '/api/1/flash_banners/list/?server_name=AndreyIvanovich', 'count': 2742, 'time_sum': 1506.429, 'time_avg': 0.549, 'time_max': 192.77, 'time_med': 0.133, 'count_perc': 1.071, 'time_perc': 0.079}, {'url': '/agencies/t1_agency_check_sync/?year=2017&month=5&csv=1', 'count': 4, 'time_sum': 1498.879, 'time_avg': 374.72, 'time_max': 491.112, 'time_med': 341.101, 'count_perc': 0.002, 'time_perc': 0.078}, {'url': '/api/1/banners/?campaign=3431890', 'count': 106, 'time_sum': 1485.311, 'time_avg': 14.012, 'time_max': 23.844, 'time_med': 13.864, 'count_perc': 0.041, 'time_perc': 0.078}, {'url': '/sites/278/', 'count': 128, 'time_sum': 1478.121, 'time_avg': 11.548, 'time_max': 65.177, 'time_med': 1.4, 'count_perc': 0.05, 'time_perc': 0.077}, {'url': '/campaigns/7854372/banners/?filter=started&direct=desc&order=ctr_cnt_tzday', 'count': 1175, 'time_sum': 1467.638, 'time_avg': 1.249, 'time_max': 504.72, 'time_med': 0.773, 'count_perc': 0.459, 'time_perc': 0.077}, {'url': '/campaigns/7854366/banners/?filter=started&direct=desc&order=ctr_cnt_tzday', 'count': 1154, 'time_sum': 1457.573, 'time_avg': 1.263, 'time_max': 504.301, 'time_med': 0.785, 'count_perc': 0.451, 'time_perc': 0.076}, {'url': '/api/1/flash_banners/list/?server_name=AndreyVadimovich', 'count': 2740, 'time_sum': 1454.916, 'time_avg': 0.531, 'time_max': 206.559, 'time_med': 0.133, 'count_perc': 1.07, 'time_perc': 0.076}, {'url': '/api/1/flash_banners/list/?server_name=AndreyPetrovich', 'count': 2731, 'time_sum': 1451.139, 'time_avg': 0.531, 'time_max': 206.7, 'time_med': 0.133, 'count_perc': 1.066, 'time_perc': 0.076}, {'url': '/api/1/flash_banners/list/?server_name=AndreyEfimovich', 'count': 2737, 'time_sum': 1397.906, 'time_avg': 0.511, 'time_max': 181.827, 'time_med': 0.133, 'count_perc': 1.069, 'time_perc': 0.073}, {'url': '/api/1/flash_banners/list/?server_name=AndreyKuzmich', 'count': 2730, 'time_sum': 1355.163, 'time_avg': 0.496, 'time_max': 213.781, 'time_med': 0.132, 'count_perc': 1.066, 'time_perc': 0.071}, {'url': '/campaigns/7854376/banners/?filter=started&direct=desc&order=ctr_cnt_tzday', 'count': 972, 'time_sum': 1334.486, 'time_avg': 1.373, 'time_max': 503.2, 'time_med': 0.801, 'count_perc': 0.38, 'time_perc': 0.07}, {'url': '/api/1/flash_banners/list/?server_name=AndreyLvovich', 'count': 2739, 'time_sum': 1330.812, 'time_avg': 0.486, 'time_max': 134.341, 'time_med': 0.133, 'count_perc': 1.07, 'time_perc': 0.069}, {'url': '/api/v2/banner/21456892', 'count': 6894, 'time_sum': 1302.96, 'time_avg': 0.189, 'time_max': 5.738, 'time_med': 0.161, 'count_perc': 2.692, 'time_perc': 0.068}, {'url': '/api/v2/banner/16848376', 'count': 6893, 'time_sum': 1298.932, 'time_avg': 0.188, 'time_max': 5.828, 'time_med': 0.159, 'count_perc': 2.692, 'time_perc': 0.068}, {'url': '/api/v2/banner/794450', 'count': 7415, 'time_sum': 1289.157, 'time_avg': 0.174, 'time_max': 4.244, 'time_med': 0.147, 'count_perc': 2.895, 'time_perc': 0.067}, {'url': '/api/v2/banner/15521472', 'count': 6893, 'time_sum': 1266.05, 'time_avg': 0.184, 'time_max': 1.462, 'time_med': 0.158, 'count_perc': 2.692, 'time_perc': 0.066}, {'url': '/api/v2/banner/16168711', 'count': 6894, 'time_sum': 1241.433, 'time_avg': 0.18, 'time_max': 1.775, 'time_med': 0.152, 'count_perc': 2.692, 'time_perc': 0.065}, {'url': '/api/v2/banner/16028459', 'count': 6893, 'time_sum': 1233.569, 'time_avg': 0.179, 'time_max': 1.712, 'time_med': 0.151, 'count_perc': 2.692, 'time_perc': 0.064}, {'url': '/api/v2/banner/1279875', 'count': 6893, 'time_sum': 1233.049, 'time_avg': 0.179, 'time_max': 1.641, 'time_med': 0.151, 'count_perc': 2.692, 'time_perc': 0.064}, {'url': '/api/v2/banner/16852664', 'count': 6894, 'time_sum': 1217.632, 'time_avg': 0.177, 'time_max': 2.661, 'time_med': 0.151, 'count_perc': 2.692, 'time_perc': 0.064}, {'url': '/api/v2/banner/16803530', 'count': 6894, 'time_sum': 1206.245, 'time_avg': 0.175, 'time_max': 6.571, 'time_med': 0.148, 'count_perc': 2.692, 'time_perc': 0.063}, {'url': '/api/v2/banner/1218585', 'count': 6893, 'time_sum': 1202.873, 'time_avg': 0.175, 'time_max': 1.744, 'time_med': 0.149, 'count_perc': 2.692, 'time_perc': 0.063}, {'url': '/api/v2/banner/17708598', 'count': 6893, 'time_sum': 1201.32, 'time_avg': 0.174, 'time_max': 9.107, 'time_med': 0.147, 'count_perc': 2.692, 'time_perc': 0.063}, {'url': '/api/v2/banner/25398145', 'count': 6891, 'time_sum': 1200.775, 'time_avg': 0.174, 'time_max': 1.949, 'time_med': 0.149, 'count_perc': 2.691, 'time_perc': 0.063}, {'url': '/api/v2/slot/6191/groups', 'count': 784, 'time_sum': 1180.13, 'time_avg': 1.505, 'time_max': 3.881, 'time_med': 1.397, 'count_perc': 0.306, 'time_perc': 0.062}, {'url': '/api/v2/banner/24824230', 'count': 6630, 'time_sum': 1168.919, 'time_avg': 0.176, 'time_max': 1.73, 'time_med': 0.149, 'count_perc': 2.589, 'time_perc': 0.061}, {'url': '/api/v2/banner/227223', 'count': 6370, 'time_sum': 1164.696, 'time_avg': 0.183, 'time_max': 1.376, 'time_med': 0.155, 'count_perc': 2.487, 'time_perc': 0.061}, {'url': '/api/v2/banner/1717161', 'count': 6633, 'time_sum': 1162.852, 'time_avg': 0.175, 'time_max': 1.6, 'time_med': 0.147, 'count_perc': 2.59, 'time_perc': 0.061}, {'url': '/campaigns/7854358/banners/?filter=started&direct=desc&order=ctr_cnt_tzday', 'count': 804, 'time_sum': 1118.517, 'time_avg': 1.391, 'time_max': 511.729, 'time_med': 0.645, 'count_perc': 0.314, 'time_perc': 0.058}, {'url': '/api/v2/banner/26350274', 'count': 6370, 'time_sum': 1117.333, 'time_avg': 0.175, 'time_max': 4.843, 'time_med': 0.148, 'count_perc': 2.487, 'time_perc': 0.058}, {'url': '/campaigns/?filter=active', 'count': 723, 'time_sum': 1109.877, 'time_avg': 1.535, 'time_max': 50.844, 'time_med': 0.953, 'count_perc': 0.282, 'time_perc': 0.058}, {'url': '/agency/prices/3754/campaigns/bulk_read/', 'count': 28, 'time_sum': 1083.04, 'time_avg': 38.68, 'time_max': 934.761, 'time_med': 5.304, 'count_perc': 0.011, 'time_perc': 0.057}, {'url': '/campaigns/7843131/banners/', 'count': 88, 'time_sum': 1048.27, 'time_avg': 11.912, 'time_max': 423.651, 'time_med': 1.276, 'count_perc': 0.034, 'time_perc': 0.055}, {'url': '/api/v2/slot/4246/groups', 'count': 189, 'time_sum': 1047.451, 'time_avg': 5.542, 'time_max': 7.552, 'time_med': 5.498, 'count_perc': 0.074, 'time_perc': 0.055}, {'url': '/api/1/banners/?campaign=3270941', 'count': 106, 'time_sum': 1021.899, 'time_avg': 9.641, 'time_max': 14.769, 'time_med': 9.555, 'count_perc': 0.041, 'time_perc': 0.053}];
    var reportDates;
    var columns = new Array();
    var lastRow = 150;
    var $table = $(".report-table-body");
    var $header = $(".report-table-header-row");
    var $selector = $(".report-date-selector");

    $(document).ready(function() {
      $(window).bind("scroll", bindScroll);
        var row = table[0];
        for (k in row) {
          columns.push(k);
        }
        columns = columns.sort();
        columns = columns.slice(columns.length -1, columns.length).concat(columns.slice(0, columns.length -1));
        drawColumns();
        drawRows(table.slice(0, lastRow));
        $(".report-table").tablesorter(); 
    });

    function drawColumns() {
      for (var i = 0; i < columns.length; i++) {
        var $th = $("<th></th>").text(columns[i])
                                .addClass("report-table-header-cell")
        $header.append($th);
      }
    }

    function drawRows(rows) {
      for (var i = 0; i < rows.length; i++) {
        var row = rows[i];
        var $row = $("<tr></tr>").addClass("report-table-body-row");
        for (var j = 0; j < columns.length; j++) {
          var columnName = columns[j];
          var $cell = $("<td></td>").addClass("report-table-body-cell");
          if (columnName == "url") {
            var url = "https://rb.mail.ru" + row[columnName];
            var $link = $("<a></a>").attr("href", url)
                                    .attr("title", url)
                                    .attr("target", "_blank")
                                    .addClass("clipped")
                                    .addClass("url")
                                    .text(row[columnName]);
            $cell.addClass("report-table-body-cell-url");
            $cell.append($link);
          }
          else {
            $cell.text(row[columnName]);
            if (columnName == "time_avg" && row[columnName] > 0.9) {
              $cell.addClass("alert");
            }
          }
          $row.append($cell);
        }
        $table.append($row);
      }
      $(".report-table").trigger("update"); 
    }

    function bindScroll() {
      if($(window).scrollTop() == $(document).height() - $(window).height()) {
        if (lastRow < 1000) {
          drawRows(table.slice(lastRow, lastRow + 50));
          lastRow += 50;
        }
      }
    }

  }(window.jQuery)
  </script>
</body>
</html>
